<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BOOK}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REPORTS}}"></span>
    </h2>
    <form class="ui form" id="report-form" th:object="${report}" method="post" th:fragment="report" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_REPORTS_GENERATE}}">
      <input id="minDate" th:if="${minDate} != null" th:value="${minDate}" type="hidden" />
      <input id="maxDate" th:if="${maxDate} != null" th:value="${maxDate}" type="hidden" />
      <div class="fields">
        <div class="field two wide column">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AREA}}"></label>
          <div class="ui fluid input">
            <select class="ui fluid search clearable selection dropdown" th:field="*{area}" onchange="changeArea()">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="team : ${teams}" th:text="${team.name}" th:value="${team.id}"></option>
            </select>
          </div>
        </div>
        <div class="field two wide column">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}"></label>
          <div class="ui fluid input" th:fragment="subArea" id="subArea">
            <select class="ui fluid search clearable selection dropdown" th:field="*{subArea}" onchange="changeSubArea()">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="subArea : ${subareas}" th:text="${subArea.abbreviation}" th:value="${subArea.id}"></option>
            </select>
          </div>
        </div>
        <div class="field three wide column">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></label>
          <div class="ui fluid input">
            <select class="ui fluid search clearable selection dropdown" th:field="*{contract}" onchange="changeContract()">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="contract : ${contracts}" th:text="${contract.name}" th:value="${contract.id}"></option>
            </select>
          </div>
        </div>
        <div class="field three wide column">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></label> <select class="ui fluid search clearable selection dropdown" th:field="*{resource}">
            <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
            <option th:each="resource : ${resources}" th:text="${resource.name}" th:value="${resource.id}"></option>
          </select>
        </div>
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
	                                            field = 'startDay', 
	                                            required = true,
	                                            value = ${#dates.format(report.startDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
	                                            placeholder = 'Choose the day',
	                                            columnsize = 'three wide'
	                                            )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
                                                field = 'endDay', 
                                                required = true,
                                                value = ${#dates.format(report.endDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
                                                placeholder = 'Choose the day',
                                                columnsize = 'three wide'
                                                )" />
      </div>
      <button class="ui primary button right floated" type="submit">
        <i class="download icon"></i>
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GENERATE}}"></span>
      </button>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
    <br />
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_REPORTS_JS}}"></script>
</body>
</html>